GETUsage

Get Data Balance

Retrieve the remaining data balance for a specific ICCID. The business must provide the customer's ICCID as a path parameter in the request. Sotel will return the relevant data balance information, including the total data purchased and the remaining data balance.

Endpoint

GEThttps://api.sotel.com/api/esim/subscriptions/usage/{ICCID}

Authentication

Requires a bearer token obtained from the /authenticate endpoint. Include it in the Authorization header.

Authorization: Bearer {token}

Path Parameters

NameTypeRequiredDescription
ICCIDstringRequiredThe Integrated Circuit Card Identifier (ICCID) of the eSIM to retrieve the data balance for.

Response

Data balance retrieved successfully.

Response
{
  "status": "Success",
  "code": 200,
  "data": {
    "data_total_gigabyte": 1,
    "data_remaining_gigabyte": 1
  },
  "message": "Successful",
  "timestamp": "2026-08-11 15:32:43"
}

Code Examples

curl -X GET 'https://api.sotel.com/api/esim/subscriptions/usage/8910300000078123456' \
  -H 'Authorization: Bearer {token}'

Try It

Try It

Fill in the parameters to generate a cURL command

Generated cURL
curl -X GET 'https://api.sotel.com/api/esim/subscriptions/usage/{ICCID}' \
  -H 'Authorization: Bearer {token}'